s3rsync
============================================
[![Gem Version](http://img.shields.io/gem/v/s3rsync.svg)][gem]
[![Build Status](http://img.shields.io/travis/idevops/s3rsync.svg)][travis]
[![Coverage Status](https://img.shields.io/coveralls/idevops/s3rsync.svg)][coveralls]

[gem]: https://rubygems.org/gems/s3rsync
[travis]: http://travis-ci.org/idevops/s3rsync
[coveralls]: https://coveralls.io/r/idevops/s3rsync

Wrapper gem used to sync files with s3cmd tool.
Remote update protocol between local set of files and S3 storage.

Prerequisites
-------------
You will need the following:

- Ruby 1.9+
- Bundler
- s3cmd

## Installation

Add this line to your application's Gemfile:

    gem 's3rsync'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install s3rsync

## Usage

    $ s3rsync help [COMMAND]                                          # Describe expanded available commands or one specific command
    $ s3rsync upload -c, --config-path=CONFIG_PATH -p, --path=PATH    # Sync local path to s3 location
    $ s3rsync download -c, --config-path=CONFIG_PATH -p, --path=PATH  # Sync from s3 to local path
    
## Configuration

json config [s3rsync.json.example](https://github.com/idevops/s3rsync/blob/master/s3rsync.json.example)

## Contributing

1. [Fork it]( https://github.com/idevops/s3rsync/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
